<?php


//Register Meta Box
function gs_register_meta_box() {
    add_meta_box( 'gs_slider_select', esc_html__( 'Slider Type', '' ), 'slider_meta_box_callback', 'gsrsl-res-slids', 'normal', 'high' );
}
add_action( 'add_meta_boxes', 'gs_register_meta_box');
 
//Add field
function slider_meta_box_callback( $meta_id ) {

wp_nonce_field('slider-type-nonce','meta_box_nonce');

  ?>
 
    <div>
        <label for="slider-type">Select Slider</label>
            <select style ="width:30%" name="slider-type" id="slider-type">
               <option> Select Slider</option>
                <?php 
                   $slider_type= get_post_meta( $meta_id->ID, 'slider-type', true);
                  
                ?>
                <option value="slider-1" <?php selected( $slider_type, 'slider-1' ); ?>> Slider one</option>
                <option value="slider-2" <?php selected( $slider_type, 'slider-2'); ?>> Slider two</option>
            </select>


    </div>
<?php }


function save_metabox_callback( $post_id ) {
 
  if( !isset( $_POST['meta_box_nonce'] ) || !wp_verify_nonce( $_POST['meta_box_nonce'], 'slider-type-nonce' ) ) return;
 
    if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) {
        return;
    }
 
    if ( ! current_user_can( 'edit_post', $post_id ) ) {
        return;
    }
 
    
 
    if(isset($_POST["slider-type"]))
    {
        $slider_type = $_POST["slider-type"];
    }   
    update_post_meta($post_id, "slider-type", $slider_type);
   
     
}
add_action( 'save_post', 'save_metabox_callback' );

//include the main class file
require_once("meta-box-class/gsrsl-metabox.php");




if (is_admin()){
  /* 
   * prefix of meta keys, optional
   * use underscore (_) at the beginning to make keys hidden, for example $prefix = '_ba_';
   *  you also can make prefix empty to disable it
   * 
   */
  $prefix = 'gs_';


  /* 
   * configure your meta box 1
   */
  $config1 = array(
    'id'             => 'meta_box1',          // meta box id, unique per meta box
    'title'          => 'GS Responsive Slider one',          // meta box title
    'pages'          => array('gsrsl-res-slids'),      // post types, accept custom post types as well, default is array('post'); optional
    'context'        => 'normal',            // where the meta box appear: normal (default), advanced, side; optional
    'priority'       => 'high',            // order of meta box: high (default), low; optional
    'fields'         => array(),            // list of meta fields (can be added by field arrays)
    'local_images'   => false,          // Use local or hosted images (meta box images for add/remove)
    'use_with_theme' => false          //change path if used with theme set to true, false for a plugin or anything else for a custom path(default false).
  );
  
  
  /*
   * Initiate your 2nd meta box
   */
   $my_meta =  new AT_Meta_Box($config1);


  $repeater_fields1[] = $my_meta->addText($prefix.'gs_title_id',array('name'=> 'Slider Title '),true);

  
  $repeater_fields1[] = $my_meta->addTextarea($prefix.'gs_description_id',array('name'=> 'Slider Description '),true);

  $repeater_fields1[] = $my_meta->addImage($prefix.'image_field_id',array('name'=> 'Slider Image '),true);

  

  $repeater_fields1[] = $my_meta->addRadio($prefix.'radio_sloverlay',array('on'=>'Overlay on','off'=>'Overlay off'),array('name'=> 'Overlay on Slide ?', 'std'=> array('on')),true);

  $repeater_fields1[] = $my_meta->addSelect($prefix.'select_sloverlay_position',array(
              'uk-overlay-top'          => 'Overlay Top',
              'uk-overlay-bottom'       => 'Overlay Bottom',
              'uk-overlay-left'         => 'Overlay Left',
              'uk-overlay-right'        => 'Overlay Right',
              'uk-overlay-background'   => 'Overlay Background',
          ),array('name'=> 'Overlay Position ', 'std'=> array('overlay_slide_top')),true);

  $repeater_fields1[] = $my_meta->addSelect($prefix.'select_sloverlay_slide_position',array(
              'overlay-slide-top'     => 'Overlay Slide Top',
              'overlay-slide-bottom'  => 'Overlay Slide Bottom',
              'overlay-slide-left'    => 'Overlay Slide Left',
              'overlay-slide-right'   => 'Overlay Slide Right',
              'overlay-fade'          => 'Overlay Fade',
              'overlay-scale'         => 'Overlay Scale',
              'overlay-spin'          => 'Overlay Spin',
              'overlay-grayscale'     => 'Overlay Grayscale',
          ),array('name'=> 'Overlay Effect ', 'std'=> array('overlay_slide_top')),true);

  $repeater_fields1[] = $my_meta->addSelect($prefix.'select_sloverlay_width',array(
              'width-1-1'   => 'Width - Full',
              'width-1-2'   => 'Width - Half',
              'width-1-3'   => 'Width - One Third',
              'width-1-4'   => 'Width - One Fourth',
              'width-1-5'   => 'Width - One Fifth',
              'width-1-6'   => 'Width - One Sixth',
              'width-1-10'  => 'Width - One Tenth',
              'width-2-3'   => 'Width - Two Third',
              'width-3-4'   => 'Width - Three Fourth',
              'width-4-5'   => 'Width - Four Fifth',
              'width-5-6'   => 'Width - Five Sixth',
              'width-9-10'  => 'Width - Nine Tenth',
          ),array('name'=> 'Overlay Width ', 'std'=> array('width-2-3')),true);




   /*
   * Then just add the fields to the repeater block
   */
  //repeater block
  $my_meta->addRepeaterBlock($prefix.'gsrsl_one',array(
    'inline'   => true, 
    'name'     => 'Slider Repeater Field',
    'fields'   =>  $repeater_fields1, 
    'sortable' => true
  ));

  $my_meta->Finish();
  
  
  /* 
   * configure your meta box
   */
  $config2 = array(
    'id'             => 'meta_box2',          // meta box id, unique per meta box
    'title'          => 'GS Responsive Slider Two',          // meta box title
    'pages'          => array('gsrsl-res-slids'),      // post types, accept custom post types as well, default is array('post'); optional
    'context'        => 'normal',            // where the meta box appear: normal (default), advanced, side; optional
    'priority'       => 'high',            // order of meta box: high (default), low; optional
    'fields'         => array(),            // list of meta fields (can be added by field arrays)
    'local_images'   => false,          // Use local or hosted images (meta box images for add/remove)
    'use_with_theme' => false          //change path if used with theme set to true, false for a plugin or anything else for a custom path(default false).
  );
  
  
  /*
   * Initiate your 2nd meta box
   */
  $my_meta2 =  new AT_Meta_Box($config2);
  

  /*
   * To Create a reapeater Block first create an array of fields
   * use the same functions as above but add true as a last param
   */


  $repeater_fields2[] = $my_meta2->addText($prefix.'gs_title_id',array('name'=> 'Slider Title '),true);

  $repeater_fields2[] = $my_meta2->addSelect($prefix.'gs_text_layer_position',array(
          'topLeft'          => 'Top Left',
          'topCenter'       => 'Top Center',
          'topRight'       => 'Top Right',
          'bottomLeft'       => 'Bottom Left',
          'bottomCenter'       => 'Bottom Center',
          'bottomRight'       => 'Bottom Right',
          'centerLeft'       => 'Center Left',
          'centerRight'       => 'Center Right',
          'centerCenter'       => 'Center Center',
      ),array('name'=> 'Text Layer Position for slider two ', 'std'=> array('topLeft')),true);
  $repeater_fields2[] = $my_meta2->addTextarea($prefix.'gs_description_id',array('name'=> 'Slider Description '),true);

  $repeater_fields2[] = $my_meta2->addSelect($prefix.'gs_des_layer_position',array(
          'topLeft'          => 'Top Left',
          'topCenter'       => 'Top Center',
          'topRight'       => 'Top Right',
          'bottomLeft'       => 'Bottom Left',
          'bottomCenter'       => 'Bottom Center',
          'bottomRight'       => 'Bottom Right',
          'centerLeft'       => 'Center Left',
          'centerRight'       => 'Center Right',
          'centerCenter'       => 'Center Center',
      ),array('name'=> 'Description Layer Position for slider two ', 'std'=> array('topLeft')),true);
  $repeater_fields2[] = $my_meta2->addImage($prefix.'image_field_id',array('name'=> 'Slider Image '),true);




  
 
  
  /*
   * Then just add the fields to the repeater block
   */
  //repeater block
  $my_meta2->addRepeaterBlock($prefix.'gsrsl_two',array(
    'inline'   => true, 
    'name'     => 'Slider Repeater Field',
    'fields'   => $repeater_fields2, 
    'sortable' => true
  ));





  $my_meta2->Finish();

   /* 
   * configure your meta box
   */
  $config3 = array(
    'id'             => 'meta_box3',          // meta box id, unique per meta box
    'title'          => 'GS Additional Settings',          // meta box title
    'pages'          => array('gsrsl-res-slids'),      // post types, accept custom post types as well, default is array('post'); optional
    'context'        => 'normal',            // where the meta box appear: normal (default), advanced, side; optional
    'priority'       => 'high',            // order of meta box: high (default), low; optional
    'fields'         => array(),            // list of meta fields (can be added by field arrays)
    'local_images'   => false,          // Use local or hosted images (meta box images for add/remove)
    'use_with_theme' => false          //change path if used with theme set to true, false for a plugin or anything else for a custom path(default false).
  );
  

  /*
   * Initiate your 2nd meta box
   */
  $my_meta2 =  new AT_Meta_Box($config3);
  //$my_meta4 =  new AT_Meta_Box($config3);

    
  


    /*
   * Add fields to your 2nd meta box
   */
  //add checkboxes list 
 $my_meta2->addRadio($prefix.'radio_field_autoplay',array(
          'true'  => 'Yes',
          'false' => 'NO',
        ),array('name'=> 'Slider Autoplay', 'std'=> array('true')));


 $my_meta2->addRadio($prefix.'radio_field_navigation',array(
          'true'  => 'Yes',
          'false' => 'NO',
        ),array('name'=> 'Slider Navigation', 'std'=> array('true')));

  $Conditinal_fields[] =$my_meta2->addSelect($prefix.'select_field_animation',array(
          'fade'          => 'Fade',
          'scroll'        => 'Scroll',
          'scale'         => 'Scale',
          'swipe'         => 'Swipe',
          'slice-down'    => 'Slice Down',
          'slice-up'      => 'Slice Up',
          'slice-up-down' => 'Slice Up Down',
          'fold'          => 'Fold',
          'puzzle'        => 'Puzzle',
          'boxes'         => 'Boxes',
          'boxes-reverse' => 'Boxes Reverse',
          'random-fx'     => 'Random FX',
      ),array('name'=> 'Slider Animation ', 'std'=> array('fade')),true);

   $Conditinal_fields[] =$my_meta2->addRadio($prefix.'radio_field_kenburns_effect',array(
          'true'  => 'Yes',
          'false' => 'NO',
        ),array('name'=> 'Kenburns Effect', 'std'=> array('true')),true);

  $Conditinal_fields[] =$my_meta2->addRadio($prefix.'radio_field_stop_on_hover',array(
          'true'  => 'Yes',
          'false' => 'NO',
        ),array('name'=> 'Pause On Hover', 'std'=> array('true')),true);

   $Conditinal_fields[] =$my_meta2->addSelect($prefix.'select_field_slider_width',array(
        'width-1-1'   => 'Width - Full',
        'width-1-2'   => 'Width - Half',
        'width-1-3'   => 'Width - One Third',
        'width-1-4'   => 'Width - One Fourth',
        'width-1-5'   => 'Width - One Fifth',
        'width-1-6'   => 'Width - One Sixth',
        'width-1-10'  => 'Width - One Tenth',
        'width-2-3'   => 'Width - Two Third',
        'width-3-4'   => 'Width - Three Fourth',
        'width-4-5'   => 'Width - Four Fifth',
        'width-5-6'   => 'Width - Five Sixth',
        'width-9-10'  => 'Width - Nine Tenth',
      ),array('name'=> 'Slider Size ', 'std'=> array('width-1-1')),true);

  $Conditinal_fields2[]= $my_meta2->addText($prefix.'slider2_width',array('name'=> 'slider width ','std' =>500),true);
  $Conditinal_fields2[]= $my_meta2->addText($prefix.'slider2_height',array('name'=> 'slider height ','std' =>300),true);
  $Conditinal_fields2[] =$my_meta2->addRadio($prefix.'slider2_orientation',array(
          'horizontal'  => 'horizontal',
          'vertical' => 'vertical',
        ),array('name'=> 'Oreintation', 'std'=> array('horizontal')),true);

  $Conditinal_fields2[] =$my_meta2->addRadio($prefix.'slider2_fade',array(
          'true'  => 'Yes',
          'false' => 'NO',
        ),array('name'=> 'Fade On/Off', 'std'=> array('true')),true);
  $Conditinal_fields2[] =$my_meta2->addRadio($prefix.'slider2_button',array(
          'true'  => 'Yes',
          'false' => 'NO',
        ),array('name'=> 'Button On/Off', 'std'=> array('true')),true);

  $Conditinal_fields2[] =$my_meta2->addRadio($prefix.'slider2_fullscreen',array(
          'true'  => 'Yes',
          'false' => 'NO',
        ),array('name'=> 'Fullscreen On/Off', 'std'=> array('true')),true);

  $Conditinal_fields2[] =$my_meta2->addRadio($prefix.'slider2_thumb_position',array(
          'bottom'  => 'Bottom',
          'top' => 'Top',
          'right' => 'Right',
          'left' => 'Left',
        ),array('name'=> 'Thumbnail Position', 'std'=> array('bottom')),true);

  $Conditinal_fields2[] =$my_meta2->addRadio($prefix.'slider2_thumbnailArrows',array(
          'true'  => 'Yes',
          'false' => 'NO',
        ),array('name'=> 'ThumbnailArrows On/Off', 'std'=> array('true')),true);



  $my_meta2->addCondition('conditinal_fields',
          array(
            'name'   => __('slider one ','mmb'),
            'desc'   => __('<small>Turn ON if you want to enable slider one options</small>','mmb'),
            'fields' => $Conditinal_fields,
            'std'    => false
          ));

  

  $my_meta2->addCondition('conditinal_fields_two',
          array(
            'name'   => __('slider two ','mmb'),
            'desc'   => __('<small>Turn ON if you want to enable slider two options </small>','mmb'),
            'fields' => $Conditinal_fields2,
            'std'    => false
          ));

  

  //add Code editor field
  $my_meta2->addCode($prefix.'code_field_id',array(
    'name'   => 'GS Responsive Slider Custom CSS', 
    'syntax' => 'css',
    'theme'  => 'light'
  ));


  $my_meta2->Finish();

}
