<?php

if ( ! function_exists( 'GS_Responsive_Slider' ) ) {

	function GS_Responsive_Slider() {
		$labels = array(
			'name'               => _x( 'GS Responsive Slider', 'gsrsl' ),
			'singular_name'      => _x( 'GS Responsive Slider', 'gsrsl' ),
			'menu_name'          => _x( 'GS Responsive Slider', 'admin menu', 'gsrsl' ),
			'name_admin_bar'     => _x( 'GS Responsive Slider', 'add new on admin bar', 'gsrsl' ),
			'add_new'            => _x( 'Add New Slider', 'slider', 'gsrsl' ),
			'add_new_item'       => __( 'Add New Slider', 'gsrsl' ),
			'new_item'           => __( 'New Slider', 'gsrsl' ),
			'edit_item'          => __( 'Edit Slider', 'gsrsl' ),
			'view_item'          => __( 'View Slider', 'gsrsl' ),
			'all_items'          => __( 'All Sliders', 'gsrsl' ),
			'search_items'       => __( 'Search Slider', 'gsrsl' ),
			'parent_item_colon'  => __( 'Parent Slider:', 'gsrsl' ),
			'not_found'          => __( 'No sliders found.', 'gsrsl' ),
			'not_found_in_trash' => __( 'No sliders found in Trash.', 'gsrsl' ),
		);

		$args = array(
			'labels'             => $labels,
			'public'             => true,
			'publicly_queryable' => true,
			'show_ui'            => true,
			'show_in_menu'       => true,
			'query_var'          => true,
			'rewrite'            => array( 'slug' => 'gsrsl-res-slids' ),
			'capability_type'    => 'page',
			'has_archive'        => true,
			'hierarchical'       => false,
			'menu_position'      => GSRSL_MENU_POSITION,
			'menu_icon'          => 'dashicons-editor-kitchensink',
			'supports'           => array( 'title')
		);

		register_post_type( 'gsrsl-res-slids', $args );
	}
}

add_action( 'init', 'GS_Responsive_Slider' );


// Metabox for shortcode

add_action( 'add_meta_boxes', 'add_gsrsl_metaboxes' );

function add_gsrsl_metaboxes() {
	add_meta_box( 'gsrsl-codes', 'Get GS Responsive Slider Codes', 'gsrsl_shortcode', 'gsrsl-res-slids', 'side', 'low' );
	add_meta_box( 'gsrsl-support', 'Support / Report a bug', 'gsrsl_support', 'gsrsl-res-slids', 'side', 'low' );
	add_meta_box( 'gsrsl-donate', 'Buy me a coffee', 'gsrsl_donate', 'gsrsl-res-slids', 'side', 'low' );
		//add_meta_box( 'gspt-subscribe', 'Subscribe to NewsLetter', 'gspt_subscribe', 'gsrsl-res-slids', 'side', 'low' );
	add_meta_box( 'gsrsl-fb', 'Join GS Plugins on facebook', 'gsrsl_fb', 'gsrsl-res-slids', 'side', 'low' );
	add_meta_box( 'gsrsl-tw', 'Follow GS Plugins on twitter', 'gsrsl_tw', 'gsrsl-res-slids', 'side', 'low' );
}

function gsrsl_shortcode(  ){

	global $post;
    $slug = '' ;
    $slug = $post->ID;   
    $shortcode = '[gs_rsl id="'.$slug.'"]';
    $template_code = '<?php echo do_shortcode( \''. $shortcode .'\' ); ?>';

    ?>
    <div class="gsrsl-field">
		<label for="gsrsl-get-shortcode"><?php _e('Your Shortcode:', 'gsrsl'); ?> </label>
		<input readonly="true" id="gsrsl-get-shortcode" type="text" class="ltr widefat" name="" value="<?php echo esc_attr($shortcode); ?>" />
		<span class="note"><?php _e('Copy and paste this shortcode into your Post, Page or Custom Post editor.', 'gsrsl'); ?></span>
		<div class="clear"></div>
	</div>
	<div class="gsrsl-field last">
		<label for="gsrsl-get-shortcode"><?php _e('Your PHP Code:', 'gsrsl'); ?> </label>
		<input readonly="true" id="gsrsl-get-shortcode" type="text" class="ltr widefat" name="" value="<?php echo esc_attr($template_code); ?>" />
		<span class="note"><?php _e('Copy and paste the code where you need to display the Pricing Table in template files (header.php, front-page.php, etc.).', 'gsrsl'); ?></span>
		<div class="clear"></div>
	</div>

    <?php
}

function gsrsl_support() { ?>
    <div class="centered">
        <p>Please feel free to let me know if you got any bug to report. Your report / suggestion can make the plugin awesome!</p>
        <p><a href="https://www.gsamdani.com/support" target="_blank" class="button button-primary">Get Support</a></p>
    </div>
<?php 
}

function gsrsl_donate() { ?>
    <div class="centered">
        <p>If you like the plugin, please buy me a coffee to inspire me to develop further.</p>
        <p><a href='https://www.2checkout.com/checkout/purchase?sid=202460873&quantity=1&product_id=8' class="button button-primary" target="_blank">Donate</a></p>
    </div>
<?php 
}

function gsrsl_fb() { ?>
    <div class="centered">
        <iframe src="//www.facebook.com/plugins/likebox.php?href=https://www.facebook.com/gsplugins&amp;width&amp;height=258&amp;colorscheme=dark&amp;show_faces=true&amp;header=false&amp;stream=false&amp;show_border=false&amp;appId=723137171103956" scrolling="no" frameborder="0" style="border:none; overflow:hidden; width:250px; height:220px;" allowTransparency="true"></iframe>
    </div>
<?php 
}

function gsrsl_tw() { ?>
    <div class="centered">
        <a href="https://twitter.com/gsplugins" target="_blank" class="button button-secondary">Follow @gsplugins<span class="dashicons dashicons-twitter" style="position: relative; top: 3px; margin-left: 3px; color: #0fb9da;"></span></a>
    </div>
<?php 
}