<?php
// ---------- Shortcode -------------

if ( ! function_exists('GS_Responsive_Slider_shortcode') ) {

  add_shortcode( 'gs_rsl', 'GS_Responsive_Slider_shortcode' );

  function GS_Responsive_Slider_shortcode( $attr = array()) {
    $sliderid = $attr['id'];
    $slider_type= get_post_meta( $attr['id'], 'slider-type', true);
     if( $slider_type == 'slider-1' ){

        $slides  = get_post_meta($sliderid,'gs_gsrsl_one',true);
     }
    
      if( $slider_type == 'slider-2' ){

         $slides  = get_post_meta($sliderid,'gs_gsrsl_two',true);
      }

   update_option('slider_post_id', $sliderid);
  
    $sliderone  = get_post_meta($sliderid,'conditinal_fields',true);
 
    $slidertwo  = get_post_meta($sliderid,'conditinal_fields_two',true);
   
    $autoplay = get_post_meta( $sliderid, 'gs_radio_field_autoplay', true );
    $navigation = get_post_meta( $sliderid, 'gs_radio_field_navigation', true );
  

    $gsrsl_your_custom_css = get_post_meta( $sliderid, 'gs_code_field_id', true );

  	$output ='';
  //Return empty string, if we don't have slides.
  if ( empty( $slides ) ) {
    return $output;
  }

  if($slider_type=='slider-1'){
    
  	$output .= '<div class="uk-slidenav-position uk-'. esc_attr( $sliderone['gs_select_field_slider_width'] ) .' "
                data-uk-slideshow="{animation: \''.esc_attr( $sliderone['gs_select_field_animation']).'\',
                autoplay:'. $autoplay .', kenburns:'. $sliderone['gs_radio_field_kenburns_effect'] .', pauseOnHover:'. $sliderone['gs_radio_field_stop_on_hover'] .'}">';
    	$output .= '<ul class="uk-slideshow uk-overlay-active">';
        foreach ($slides as $slide) {

          //print_r($slide);

        	$output .= '<li>';
            $output .= '<img src="'.$slide['gs_image_field_id']['url'].'" width="" height="" alt="">';

            if ($slide['gs_radio_sloverlay'] == 'on') { // Overlay option
              $output .= '<div class="uk-overlay-panel uk-overlay-background '.esc_attr( $slide['gs_select_sloverlay_position'] ).' uk-flex-middle uk-text-center uk-'.esc_attr( $slide['gs_select_sloverlay_slide_position'] ).' uk-'.esc_attr( $slide['gs_select_sloverlay_width'] ).'">';

                $output .= '<h3 class="gsrsl_title">'.$slide['gs_gs_title_id'].'</h3>';
                $output .= '<p class="gsrsl_desc">'.$slide['gs_gs_description_id'].'</p>';
              $output .= '</div>';
            }

        	$output .= '</li>';
        }
    	$output .= '</ul>';
          if ($navigation == 'true') {
            $output .= '<a class="uk-slidenav uk-slidenav-contrast uk-slidenav-previous" href="#" data-uk-slideshow-item="previous"></a>';
            $output .= '<a class="uk-slidenav uk-slidenav-contrast uk-slidenav-next" href="#" data-uk-slideshow-item="next"></a>';
          }

  	$output .= '</div>';
}
  if($slider_type=='slider-2'){
      $output  .='<div id="slider-2" class="slider-pro">';
                $output  .='<div class="sp-slides">';
                   foreach ($slides as $slide) {
                      $output  .='<div class="sp-slide">
                                    <img class="sp-image"
                                        data-src="'.$slide['gs_image_field_id']['url'].'"
                                        data-small="'.$slide['gs_image_field_id']['url'].'"
                                        data-medium="'.$slide['gs_image_field_id']['url'].'"
                                        data-large="'.$slide['gs_image_field_id']['url'].'"
                                        data-retina="'.$slide['gs_image_field_id']['url'].'"/>';

                                        if(!empty($slide['gs_gs_title_id'])){
                                          $output  .='<p class="sp-layer sp-white sp-padding"
                                                data-horizontal="50" data-vertical="50" data-position="'.$slide['gs_gs_text_layer_position'].'" 
                                                data-show-transition="left" data-show-delay="400">
                                                '.$slide['gs_gs_title_id'].'
                                              </p>';
                                            }
                                        if(!empty($slide['gs_gs_description_id'])){
                                         
                                            $output  .='<p class="sp-layer sp-black sp-padding"
                                                  data-horizontal="40" data-vertical="160"  data-position="'.$slide['gs_gs_des_layer_position'].'" data-show-transition="left" data-show-delay="600">
                                                  '.$slide['gs_gs_description_id'].'
                                                </p>';
                                            }
                                $output  .='</div>';
                  }
                      $output  .='</div>';
       
                $output  .='<div class="sp-thumbnails">';

                    foreach ($slides as $slide) {
                        $output .='<img class="sp-thumbnail" src="'.$slide['gs_image_field_id']['url'].'"/>';
                    }
                   
                $output  .='</div>';
       
      $output  .='</div>';
  }

    if(!empty($gsrsl_your_custom_css)):
      $output .= '<style type="text/css" media="screen">';
        $output .= $gsrsl_your_custom_css;
      $output .='</style>';
    endif;
    // do_action( 'gsrsl_your_custom_css' );
  	return $output;
  }
}



// -- slider two triggar
if (!function_exists('gsrsl_slider_trigger')) {
 
  
  
    function gsrsl_slider_trigger(){
      $sliderid = get_option('slider_post_id');
      $slidertwo  = get_post_meta($sliderid,'conditinal_fields_two',true);
      
      $fade =$slidertwo['gs_slider2_fade'];
      $autoplay = get_post_meta( $sliderid, 'gs_radio_field_autoplay', true );
      $navigation = get_post_meta( $sliderid, 'gs_radio_field_navigation', true );

     ?>
        <script type="text/javascript">
         
            jQuery.noConflict();
            jQuery(document).ready(function($){

             $( '#slider-2' ).sliderPro({
                width:<?php echo $slidertwo['gs_slider2_width']; ?>,
                height:<?php echo $slidertwo['gs_slider2_height']; ?>,
                fade:<?php echo $fade; ?>,
                arrows: <?php echo $navigation; ?>,
                responsive:true,
                orientation:'<?php echo $slidertwo['gs_slider2_orientation']; ?>',
                buttons: <?php echo $slidertwo['gs_slider2_button'];  ?>,
                fullScreen: <?php echo $slidertwo ['gs_slider2_fullscreen']; ?>,
                thumbnailsPosition: '<?php echo $slidertwo['gs_slider2_thumb_position'];?>',
                shuffle: true,
                smallSize: 500,
                mediumSize: 1000,
                largeSize: 3000,
                thumbnailArrows: <?php echo $slidertwo['gs_slider2_thumbnailArrows']; ?>,
                autoplay: <?php echo $autoplay; ?>,
              });
            });
        </script>
    <?php
    }
    add_action('wp_head', 'gsrsl_slider_trigger' );
}